For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList tokens
        • POSTCreate token
        • DELRevoke token
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceToken

Create token

POST
https://api.testnet.paradex.trade/v1/account/tokens
POST
/v1/account/tokens
$curl -X POST https://api.testnet.paradex.trade/v1/account/tokens \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "api_token": {
3 "created_at": 1640995200,
4 "expiry_at": 1672531200,
5 "kind": "string",
6 "last_updated_at": 1640995200,
7 "lookup_id": "uuid-123",
8 "name": "My API Token",
9 "revoked_at": 0,
10 "token_id": "token_123"
11 },
12 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
13}
Create a new authentication token for the authenticated account with custom name and expiration duration.
Was this page helpful?
Previous

Revoke token

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

Token creation request
expiry_durationintegerOptional

Duration in seconds from now until expiration (1 min to 1 year).

namestringOptional

User-friendly name for the JWT token.

token_typestringOptional
Type of token to create.

Response

Token created successfully
api_tokenobject
The token metadata
tokenstring
The generated JWT token

Errors

400
Bad Request Error
401
Unauthorized Error